/*
 * NoCoincideLongitudoTipoCampoNumericoObligatorioDependienteDep.java
 *
 * Created on 24 de marzo de 2007, 07:44 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
/*
 * NoCoincideLongitudoTipoCampoNumericoObligatorioDependiente.java
 *
 * Created on 20 de marzo de 2007, 10:38 PM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.fidufosyga.rules;

/**
 * 
 * @author Julian
 */
public class NoCoincideLongitudoTipoCampoNumericoObligatorioDependienteDep
		extends AbstractRule {

	/**
	 * Creates a new instance of
	 * NoCoincideLongitudoTipoCampoNumericoObligatorioDependiente
	 */
	public NoCoincideLongitudoTipoCampoNumericoObligatorioDependienteDep() {
	}

	public boolean performValidation(String field, String registro[],
			String nombreArchivo) {
		String codigoNovedad = registro[new Integer((String) getParams()[0])
				.intValue()];

		if (codigoNovedad.equals((String) getParams()[1])) {
			if (registro[new Integer((String) getParams()[2]).intValue()]
					.equals(getParams()[3])) {
				if (field.length() < new Integer((String) getParams()[4])
						.intValue()
						|| field.length() > new Integer((String) getParams()[5])
								.intValue())
					return true;
				try {
					Long.parseLong(field);
				} catch (Exception e) {
					return true;
				}
				if (field.indexOf('+') >= 0 || field.indexOf('.') >= 0
						|| field.indexOf('-') >= 0 || field.indexOf('e') >= 0
						|| field.indexOf('E') >= 0) {
					return true;
				}

			}
		}
		return false;
	}
}